Update Slack Installation

Update Slack installation defaults or lifecycle status.

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID
installation_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
statusenum or nullOptional
Lifecycle status for the Slack installation.
default_task_agent_idstring or nullOptionalformat: "uuid"
Default TaskAgent used when a channel has no explicit mapping.

Response

Successful Response
idstringformat: "uuid"
Slack installation ID.
project_idstringformat: "uuid"
Project that owns the Slack installation.
team_idstring
Slack workspace team ID.
bot_user_idstring
Slack bot user ID for the installed app.
installed_by_user_idstringformat: "uuid"
User who completed the Slack installation flow.
statusenum
Lifecycle status for the Slack installation.
createdstring
When the installation was created.
modifiedstring
When the installation was last updated.
team_namestring or null

Human-readable Slack workspace name.

default_task_agent_idstring or nullformat: "uuid"
Default TaskAgent used when a channel has no explicit mapping.

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error